com.holonplatform.vaadin.flow.navigator.internal

## Class DefaultNavigationLink

- java.lang.Object
- - com.vaadin.flow.component.Component
  - - com.vaadin.flow.router.RouterLink
    - - com.holonplatform.vaadin.flow.navigator.internal.DefaultNavigationLink

- All Implemented Interfaces:
    HasComponent, NavigationLink, com.vaadin.flow.component.AttachNotifier, com.vaadin.flow.component.DetachNotifier, com.vaadin.flow.component.HasComponents, com.vaadin.flow.component.HasElement, com.vaadin.flow.component.HasEnabled, com.vaadin.flow.component.HasSize, com.vaadin.flow.component.HasStyle, com.vaadin.flow.component.HasText, com.vaadin.flow.router.AfterNavigationObserver, com.vaadin.flow.router.internal.AfterNavigationHandler, Serializable

      public class DefaultNavigationLink
      extends com.vaadin.flow.router.RouterLink
      implements NavigationLink

  Default `NavigationLink` implementation.
  Since:
    5.2.0
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DefaultNavigationLink.DefaultBuilder` Default `Builder` implementation.

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.navigator.NavigationLink

      `NavigationLink.Builder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultNavigationLink()` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.vaadin.flow.component.Component` | `getComponent()` Get the UI `Component` which represents this object.

    - ### Methods inherited from class com.vaadin.flow.router.RouterLink

      `afterNavigation, getHighlightAction, getHighlightCondition, getHref, getQueryParameters, setHighlightAction, setHighlightCondition, setQueryParameters, setRoute, setRoute, setRoute, setRoute`

    - ### Methods inherited from class com.vaadin.flow.component.Component

      `from, getChildren, getElement, getId, getParent, getTranslation, getTranslation, getUI, isVisible, onEnabledStateChanged, setId, setVisible`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.navigator.NavigationLink

      `builder, builder, builder, getHref`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.HasComponent

      `create, getElement, hasEnabled, hasLabel, hasSize, hasStyle, hasValidation, isVisible, setVisible`

    - ### Methods inherited from interface com.vaadin.flow.component.HasText

      `getText, setText`

    - ### Methods inherited from interface com.vaadin.flow.component.HasStyle

      `addClassName, addClassNames, getClassName, getClassNames, getStyle, hasClassName, removeClassName, removeClassNames, setClassName, setClassName`

    - ### Methods inherited from interface com.vaadin.flow.component.HasEnabled

      `isEnabled, setEnabled`

    - ### Methods inherited from interface com.vaadin.flow.component.HasSize

      `getHeight, getMaxHeight, getMaxWidth, getMinHeight, getMinWidth, getWidth, setHeight, setHeightFull, setMaxHeight, setMaxWidth, setMinHeight, setMinWidth, setSizeFull, setSizeUndefined, setWidth, setWidthFull`

    - ### Methods inherited from interface com.vaadin.flow.component.HasComponents

      `add, add, addComponentAsFirst, addComponentAtIndex, remove, removeAll`

    - ### Methods inherited from interface com.vaadin.flow.component.AttachNotifier

      `addAttachListener`

    - ### Methods inherited from interface com.vaadin.flow.component.DetachNotifier

      `addDetachListener`

- - ### Constructor Detail

    - #### DefaultNavigationLink

          public DefaultNavigationLink()

      Constructor.

  - ### Method Detail

    - #### getComponent

          public com.vaadin.flow.component.Component getComponent()

      Description copied from interface: `HasComponent`
      Get the UI `Component` which represents this object.
      Specified by:
        `getComponent` in interface `HasComponent`
      Returns:
        the UI component (not null)

Copyright © 2020 The Holon Platform. All rights reserved.